Updating from 4.1U to 4.2U

Discussion in 'Wii - Hacking' started by spritefreak, Nov 18, 2009.

Nov 18, 2009

Updating from 4.1U to 4.2U by spritefreak at 11:50 PM (1,861 Views / 0 Likes) 5 replies

  1. spritefreak
    OP

    Member spritefreak GBAtemp Fan

    Joined:
    Jan 7, 2009
    Messages:
    375
    Country:
    United States
    I updated my Wii to 4.1U about three months ago, and I know there are things that need to be updated and installed to ensure new games work properly. I think I have know what to do, but I am just making sure before I proceed...your help would be appreciated!

    1. I already have bootmii and a NAND backup of my current Wii set-up
    2. Using xzxero's guide, install all the necessary IOS
    3. Update HBC 1.0.3 but need to update to HBC JODI.
    4. Update to Preloader .30
    5. Make a new NAND backup

    I have a few questions....

    1. Is 4.2U safe?
    2. Besides Preloader, do I need anything else as a precaution for a bricked Wii?
    3. What else should I do?
     
  2. ziddey

    Member ziddey GBAtemp Advanced Fan

    Joined:
    Jun 23, 2007
    Messages:
    542
    Country:
    United States
    there's nothing wrong with 4.1u at the moment. why go 4.2u now? games rely on using the right ios. system menu is irrelevant for the most part.

    bootmii as boot2 is tits. beyond that is just gravy.

    but for what it's worth, you should update hbc to 1.0.6, which will launch the hackmii installer. be sure to update bootmii and dvdx as well. there's a bug in the bootmii that came with the 1.0.3 hackmii installer that's fixed in the new version.

    preloader is now defunct. the new version is priiloader. you can update to that if you want, especially if you update hbc and need a priiloader that has jodi support.
     
  3. spritefreak
    OP

    Member spritefreak GBAtemp Fan

    Joined:
    Jan 7, 2009
    Messages:
    375
    Country:
    United States
    My problem is, I don't think I have all the necessary IOS to play all games, so I want to update them. How do I do it without updating to 4.2? Why do you advise not to update to 4.2?
     
  4. ziddey

    Member ziddey GBAtemp Advanced Fan

    Joined:
    Jun 23, 2007
    Messages:
    542
    Country:
    United States
    why do you feel you don't have the necessary ioses? how did you update to 4.1?

    what is a feeling anyway? do games not work?

    the wii doesn't care for your feelings
     
  5. spritefreak
    OP

    Member spritefreak GBAtemp Fan

    Joined:
    Jan 7, 2009
    Messages:
    375
    Country:
    United States
    Well, I have seen the Hermes IOS and I know I don't have them. What are they for anyway?
     
  6. codone

    Newcomer codone Member

    Joined:
    May 21, 2008
    Messages:
    32
    Country:
    United States
    I just did this today -- 4.1U to 4.2U.

    I did it just because it appeared to be safe, and I figure it's always good to be on the latest version, as long as you wait until the time to upgrade is right. Which is now, since I upgraded with no problems.

    Here is what I did:

    * Install CIOS Rev 15
    * Install newest beta4 / .61 of HackMii installer (all 3 items, bootmii, DVDx, and Homebrew channel 1.06)

    It's important to install the new 1.06 HBC since the new system menu will delete the old one that you currently are using.

    * Install the "Safe 4.2" installer (takes about 30 mins)

    I don't recall at the moment where exactly which thread I got this from. It's called "V4.2_Safe_Firmware_Updater.rar"
    It's very nice -- you simply start it, and it does the rest. Let me just paste in some text from the readme:

    Code:
    which allows you to safely upgrade your Wii console to v4.2 firmware. It will detect your console region before installation, and download only the REQUIRED files to successfully upgrade your Wii console to v4.2. It will not overwrite your boot2 or stub any of your IOSes. It will not trucha patch any downloaded IOSes either. You must have an internet connection on your console to use this application. Source included. Enjoy!
    * Use DOP-IOS MOD (the new one) and trucha bug IOS 36, 53, and 70

    To clarify, depending on your needs, you might need to restore the trucha bug to a few IOSs. Using the newer DOP-IOS MOD (not "DOP-IOS" as it has older versions of IOS) you can easily re-download these IOSs and have it apply the hash sig bug.

    I just did this to two Wiis today, one softmodded and one hard modded, and am not having any problems. And NSMB even works on both (with IOS 53 trucha'ed, it runs fine off the disc channel on the hard modded one -- it needed to be since I applied the "hack" to the DOL file, to get my backup to work).

    If you can't search and find that 4.2 safe updater, let me know, and I'll help you locate it.
    *** I forgot to mention, be sure to have 250-300 blocks free when you run the Safe 4.2 Updater. In that thread I was speaking of, that was mentioned!!
     

Share This Page